package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.alibaba.fastjson.JSONObject;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.enums.AuditStatusEnum;

import static com.ym.mec.biz.dal.enums.AuditStatusEnum.ING;

public class StudentPaymentRouteOrder {
    private Long id;

    /**
    * 分配分部id
    */
    private Integer routeOrganId;

    /**
    * 分润金额
    */
    private BigDecimal routeAmount;

    /**
    * 分润余额
    */
    private BigDecimal routeBalanceAmount;

    /**
    * 渠道收款账户
    */
    private String merNo;

    /**
     * 原始订单号
     */
    private String orderNo;

    /**
    * 是否承担手续费Y-是 N-否
    */
    private String feeFlag;

    /**
    * 销售类型   销售收入/服务收入
    */
    private String incomeType;
    
    private Integer userId;
    
    private Integer schoolId;
    
    private String transNo;
    
    private Date payTime;
    
    private BigDecimal saleAmount;
    
    private BigDecimal serviceAmount;
    
    private String memo;
    
    private String goodsIds;

    private String goodsNums;

    private String goodsJson;
    
    private AuditStatusEnum auditStatus;
    
    private String auditComment;

    private Long calenderId;

    private Date createTime;
    
    private Date updateTime;
    
    private Integer createBy;
    
    private Integer updateBy;
    
    private CooperationOrgan cooperationOrgan = new CooperationOrgan();
    
    private SysUser student = new SysUser();
    
    private SysUser operator = new SysUser();
    
    private Organization organ = new Organization();

	public String getIncomeType() {
		return incomeType;
	}

	public void setIncomeType(String incomeType) {
		this.incomeType = incomeType;
	}

	public String getGoodsIds() {
		return goodsIds;
	}

	public void setGoodsIds(String goodsIds) {
		this.goodsIds = goodsIds;
	}

	public String getGoodsNums() {
		return goodsNums;
	}

	public void setGoodsNums(String goodsNums) {
		this.goodsNums = goodsNums;
	}

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getRouteOrganId() {
        return routeOrganId;
    }

    public void setRouteOrganId(Integer routeOrganId) {
        this.routeOrganId = routeOrganId;
    }

    public BigDecimal getRouteAmount() {
        return routeAmount;
    }

    public void setRouteAmount(BigDecimal routeAmount) {
        this.routeAmount = routeAmount;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getFeeFlag() {
        return feeFlag;
    }

    public void setFeeFlag(String feeFlag) {
        this.feeFlag = feeFlag;
    }

    public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Integer schoolId) {
		this.schoolId = schoolId;
	}

	public String getTransNo() {
		return transNo;
	}

	public void setTransNo(String transNo) {
		this.transNo = transNo;
	}

	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}

	public BigDecimal getSaleAmount() {
		return saleAmount;
	}

	public void setSaleAmount(BigDecimal saleAmount) {
		this.saleAmount = saleAmount;
	}

	public BigDecimal getServiceAmount() {
		return serviceAmount;
	}

	public void setServiceAmount(BigDecimal serviceAmount) {
		this.serviceAmount = serviceAmount;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getGoodsJson() {
		return goodsJson;
	}

	public void setGoodsJson(String goodsJson) {
		this.goodsJson = goodsJson;
	}

	public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getRouteBalanceAmount() {
        return routeBalanceAmount;
    }

    public void setRouteBalanceAmount(BigDecimal routeBalanceAmount) {
        this.routeBalanceAmount = routeBalanceAmount;
    }

	public AuditStatusEnum getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(AuditStatusEnum auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getAuditComment() {
		return auditComment;
	}

	public void setAuditComment(String auditComment) {
		this.auditComment = auditComment;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getCreateBy() {
		return createBy;
	}

	public void setCreateBy(Integer createBy) {
		this.createBy = createBy;
	}

	public Integer getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(Integer updateBy) {
		this.updateBy = updateBy;
	}

	public CooperationOrgan getCooperationOrgan() {
		return cooperationOrgan;
	}

	public void setCooperationOrgan(CooperationOrgan cooperationOrgan) {
		this.cooperationOrgan = cooperationOrgan;
	}

	public SysUser getStudent() {
		return student;
	}

	public void setStudent(SysUser student) {
		this.student = student;
	}

	public SysUser getOperator() {
		return operator;
	}

	public void setOperator(SysUser operator) {
		this.operator = operator;
	}

	public Organization getOrgan() {
		return organ;
	}

	public void setOrgan(Organization organ) {
		this.organ = organ;
	}

	public Long getCalenderId() {
		return calenderId;
	}

	public void setCalenderId(Long calenderId) {
		this.calenderId = calenderId;
	}
}